Home Dashboard Directory Help
Search

invalid values for PSModuleAutoLoadingPreference breaks PowerShell by Joel 'Jaykul' Bennett


Status: 

Closed
 as Fixed Help for as Fixed


16
1
Sign in
to vote
Type: Bug
ID: 792370
Opened: 7/2/2013 2:07:29 PM
Access Restriction: Public
0
Workaround(s)
view
2
User(s) can reproduce this bug

Description

Setting the magic $PSModuleAutoLoadingPreference variable to something unexpected breaks PowerShell's ability to create pipelines (you can't even set it back)
Details
Sign in to post a comment.
Posted by Thomas Lee on 7/3/2013 at 6:33 AM
Interestingly, when setting the variable to an incorrect value, the prompt also changes.

This is an out and out bug.

PSH [C:\foo]: $PSVersionTable

Name                         Value
----                         -----
PSVersion                     4.0
WSManStackVersion             3.0
SerializationVersion         1.1.0.1
CLRVersion                     4.0.30319.18047
BuildVersion                 6.3.9397.0
PSCompatibleVersions         {1.0, 2.0, 3.0, 4.0}
PSRemotingProtocolVersion     2.2


PSH [C:\foo]: $PSModuleAutoLoadingPreference = "NotAnEnum"
PS>foo
An error occurred while creating the pipeline.
Sign in to post a workaround.